
From: Dave Hansen <haveblue@us.ibm.com>

We didn't notice this for a while because we didn't have any memory holes
on the NUMA-Q, but on the x440, we do.  



 mm/page_alloc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/page_alloc.c~fix-numa-meminfo mm/page_alloc.c
--- 25/mm/page_alloc.c~fix-numa-meminfo	2003-06-10 23:33:21.000000000 -0700
+++ 25-akpm/mm/page_alloc.c	2003-06-10 23:33:21.000000000 -0700
@@ -898,7 +898,7 @@ void si_meminfo_node(struct sysinfo *val
 
 	val->totalram = pgdat->node_size;
 	val->freeram = nr_free_pages_pgdat(pgdat);
-	val->totalhigh = pgdat->node_zones[ZONE_HIGHMEM].spanned_pages;
+	val->totalhigh = pgdat->node_zones[ZONE_HIGHMEM].present_pages;
 	val->freehigh = pgdat->node_zones[ZONE_HIGHMEM].free_pages;
 	val->mem_unit = PAGE_SIZE;
 }

_
